///+-----------------------------------------------------------------+ 
// Final Draft ADXdigit       \/
// Knowledge of the ancients ( )
//______________________o0o___(_)___o0o__
//_____________mladen_______________
//_cja____________________________
//___________________Xard777_______
//____ihldiaf_____________________
//__________________BabaMaster_____
//FxSniper_________igor_______nen___           March 24th, 2009
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//|                                                      DIGIADX.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

/*********************************************************************
* Author: Usen Iwinosa Osazeme
* Nick: FX Guru
*Cellfone No:07039377446
* Date: April 08, 2008
* Custom Indicator: Digiadx.mq4
* Version: 1.0.1
* Description: Multi TimeFrame Digital ADX Indicator
*
*
* Version 1.0
* - Release Digiadx ;)
**********************************************************************/

#property indicator_separate_window

extern int ADX_Period                 =  14;//----ADX period
extern color  Strong_Uptrend_Color      = Lime;//--------------color for strong uptrend
extern color Strong_Dntrend_Color       = Red;//---------------color for strong downtrend
extern color Weak_Uptrend_Color         = LimeGreen;//----------color for weak uptrend
extern color Weak_Dntrend_Color         = Tomato;//-------------color for weak downtrend
extern bool Show_ADX_Value = true;//--------ADX value

extern int win = 1;

int font = 10;
extern int xx = 55;
extern int yy = 20;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
IndicatorShortName(" ");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll(0,OBJ_LABEL);
   ObjectDelete("ObjLabelI");
   ObjectDelete("ObjLabelJ");
   ObjectDelete("ObjLabelK");
   ObjectDelete("ObjLabelL");
   ObjectDelete("ObjLabelM");
   ObjectDelete("ObjLabelN");
   ObjectDelete("ObjLabelO");
   ObjectDelete("ObjLabelP");   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
    //m1 data
    double adx_plus_m1  = iADX(NULL,PERIOD_M1,ADX_Period,PRICE_CLOSE,MODE_PLUSDI,0);
    double adx_minus_m1 = iADX(NULL,PERIOD_M1,ADX_Period,PRICE_CLOSE,MODE_MINUSDI,0);
    double adx_main_m1 = iADX(NULL,PERIOD_M1,ADX_Period,PRICE_CLOSE,MODE_MAIN,0);
        
    //m5 data
    double adx_plus_m5  = iADX(NULL,PERIOD_M5,ADX_Period,PRICE_CLOSE,MODE_PLUSDI,0);
    double adx_minus_m5 = iADX(NULL,PERIOD_M5,ADX_Period,PRICE_CLOSE,MODE_MINUSDI,0);
    double adx_main_m5 = iADX(NULL,PERIOD_M5,ADX_Period,PRICE_CLOSE,MODE_MAIN,0);
    
    //m15 data
    double adx_plus_m15 = iADX(NULL,PERIOD_M15,ADX_Period,PRICE_CLOSE,MODE_PLUSDI,0);
    double adx_minus_m15= iADX(NULL,PERIOD_M15,ADX_Period,PRICE_CLOSE,MODE_MINUSDI,0);
    double adx_main_m15 = iADX(NULL,PERIOD_M15,ADX_Period,PRICE_CLOSE,MODE_MAIN,0);
    
    //m30 data
    double adx_plus_m30 = iADX(NULL,PERIOD_M30,ADX_Period,PRICE_CLOSE,MODE_PLUSDI,0);
    double adx_minus_m30= iADX(NULL,PERIOD_M30,ADX_Period,PRICE_CLOSE,MODE_MINUSDI,0);
    double adx_main_m30 = iADX(NULL,PERIOD_M30,ADX_Period,PRICE_CLOSE,MODE_MAIN,0);
    
    //h1 data
    double adx_plus_h1 = iADX(NULL,PERIOD_H1,ADX_Period,PRICE_CLOSE,MODE_PLUSDI,0);
    double adx_minus_h1= iADX(NULL,PERIOD_H1,ADX_Period,PRICE_CLOSE,MODE_MINUSDI,0);
    double adx_main_h1 = iADX(NULL,PERIOD_H1,ADX_Period,PRICE_CLOSE,MODE_MAIN,0);
    
    //h4 data
    double adx_plus_h4 = iADX(NULL,PERIOD_H4,ADX_Period,PRICE_CLOSE,MODE_PLUSDI,0);
    double adx_minus_h4= iADX(NULL,PERIOD_H4,ADX_Period,PRICE_CLOSE,MODE_MINUSDI,0);
    double adx_main_h4 = iADX(NULL,PERIOD_H4,ADX_Period,PRICE_CLOSE,MODE_MAIN,0);
    
    //d1 data
    double adx_plus_d1 = iADX(NULL,PERIOD_D1,ADX_Period,PRICE_CLOSE,MODE_PLUSDI,0);
    double adx_minus_d1= iADX(NULL,PERIOD_D1,ADX_Period,PRICE_CLOSE,MODE_MINUSDI,0);
    double adx_main_d1 = iADX(NULL,PERIOD_D1,ADX_Period,PRICE_CLOSE,MODE_MAIN,0);
    
   //define color
    color adx_color_m1, adx_color_m5, adx_color_m15, adx_color_m30, adx_color_h1, adx_color_h4, adx_color_d1;
    
   //define string    
    string adx_level_m1, adx_level_m5, adx_level_m15, adx_level_m30, adx_level_h1, adx_level_h4, adx_level_d1,
           adx_arrow_m1, adx_arrow_m5, adx_arrow_m15, adx_arrow_m30, adx_arrow_h1, adx_arrow_h4, adx_arrow_d1;
           
           
    //-----m1 data
    
    
    //m1 strong uptrend
    if (( adx_plus_m1> adx_minus_m1) && (adx_main_m1 >= 25)) { adx_color_m1 =Strong_Uptrend_Color ; }
    
    //m1 strong downtrend
    if (( adx_plus_m1< adx_minus_m1) && (adx_main_m1 >= 25))  {adx_color_m1 = Strong_Dntrend_Color; }
    
    //m1 weak uptrend
    if (( adx_plus_m1> adx_minus_m1) && (adx_main_m1 <= 24.99))  {adx_color_m1 =Weak_Uptrend_Color; }
    
    //m1 weak downtrend
    if (( adx_plus_m1< adx_minus_m1) && (adx_main_m1 <= 24.99))  {adx_color_m1 =Weak_Dntrend_Color; }
    
   
    //----m5 data   
   
    //m5 strong uptrend
    if (( adx_plus_m5> adx_minus_m5) && (adx_main_m5 >= 25)) { adx_color_m5 = Strong_Uptrend_Color; }
    
    //m5 strong downtrend
    if (( adx_plus_m5< adx_minus_m5) && (adx_main_m5 >= 25))  {adx_color_m5 = Strong_Dntrend_Color; }
    
    //m5 weak uptrend
    if (( adx_plus_m5> adx_minus_m5) && (adx_main_m5 <= 24.99))  {adx_color_m5 = Weak_Uptrend_Color; }
    
    //m5 weak downtrend
    if (( adx_plus_m5< adx_minus_m5) && (adx_main_m5 <= 24.99))  {adx_color_m5 =Weak_Dntrend_Color; }
    
    //-----m15 data
    
    //m15 strong uptrend
    if (( adx_plus_m15> adx_minus_m15) && (adx_main_m15 >= 25)) { adx_color_m15 = Strong_Uptrend_Color; }
    
    //m15 strong downtrend
    if (( adx_plus_m15< adx_minus_m15) && (adx_main_m15 >= 25))  {adx_color_m15 = Strong_Dntrend_Color; }
    
    //m15 weak uptrend
    if (( adx_plus_m15> adx_minus_m15) && (adx_main_m15 <= 24.99))  {adx_color_m15 = Weak_Uptrend_Color; }
    
    //m15 weak downtrend
    if (( adx_plus_m15< adx_minus_m15) && (adx_main_m15 <= 24.99))  {adx_color_m15 =Weak_Dntrend_Color; }
    
    //------m30 data
    
        //m30 strong uptrend
    if (( adx_plus_m30> adx_minus_m30) && (adx_main_m30 >= 25)) { adx_color_m30 = Strong_Uptrend_Color; }
    
    //m30 strong downtrend
    if (( adx_plus_m30< adx_minus_m30) && (adx_main_m30 >= 25))  {adx_color_m30 = Strong_Dntrend_Color; }
    
    //m30 weak uptrend
    if (( adx_plus_m30> adx_minus_m30) && (adx_main_m30 <= 24.99))  {adx_color_m30 = Weak_Uptrend_Color; }
    
    //m30 weak downtrend
    if (( adx_plus_m30< adx_minus_m30) && (adx_main_m30 <= 24.99))  {adx_color_m30 =Weak_Dntrend_Color; }
    
    //------h1 data
    
        //h1 strong uptrend
    if (( adx_plus_h1> adx_minus_h1) && (adx_main_h1 >= 25)) { adx_color_h1 = Strong_Uptrend_Color; }
    
    //h1 strong downtrend
    if (( adx_plus_h1< adx_minus_h1) && (adx_main_h1 >= 25))  {adx_color_h1 = Strong_Dntrend_Color; }
    
    //h1 weak uptrend
    if (( adx_plus_h1> adx_minus_h1) && (adx_main_h1 <= 24.99))  {adx_color_h1 = Weak_Uptrend_Color; }
    
    //h1 weak downtrend
    if (( adx_plus_h1< adx_minus_h1) && (adx_main_h1 <= 24.99))  {adx_color_h1 =Weak_Dntrend_Color; }
    
     //------h4 data
    
    //h4 strong uptrend
    if (( adx_plus_h4> adx_minus_h4) && (adx_main_h4 >= 25)) { adx_color_h4 = Strong_Uptrend_Color; }
    
    //h4 strong downtrend
    if (( adx_plus_h4< adx_minus_h4) && (adx_main_h4 >= 25))  {adx_color_h4 = Strong_Dntrend_Color; }
    
    //h4 weak uptrend
    if (( adx_plus_h4> adx_minus_h4) && (adx_main_h4 <= 24.99))  {adx_color_h4 = Weak_Uptrend_Color; }
    
    //h4 weak downtrend
    if (( adx_plus_h4< adx_minus_h4) && (adx_main_h4 <= 24.99))  {adx_color_h4 =Weak_Dntrend_Color; }
        
        
    //------d1 data
    
    //d1 strong uptrend
    if (( adx_plus_d1> adx_minus_d1) && (adx_main_d1 >= 25)) { adx_color_d1 = Strong_Uptrend_Color; }
    
    //d1 strong downtrend
    if (( adx_plus_d1< adx_minus_d1) && (adx_main_d1 >= 25))  {adx_color_d1 = Strong_Dntrend_Color; }
    
    //d1 weak uptrend
    if (( adx_plus_d1> adx_minus_d1) && (adx_main_d1 <= 24.99))  {adx_color_d1 = Weak_Uptrend_Color; }
    
    
    //------d1 data
    
    //d1 weak downtrend
    if (( adx_plus_d1< adx_minus_d1) && (adx_main_d1 <= 24.99))  {adx_color_d1 =Weak_Dntrend_Color; }    
 //Show Digital ADX Value
    if (Show_ADX_Value == true) 
    {
      //ADX value
      string adx_m1_val = adx_main_m1;
      string adx_m5_val = adx_main_m5;
      string adx_m15_val = adx_main_m15;
      string adx_m30_val = adx_main_m30;
      string adx_h1_val = adx_main_h1;
      string adx_h4_val = adx_main_h4;
      string adx_d1_val = adx_main_d1;
    
      if (adx_plus_m1 > adx_minus_m1 && adx_main_m1 >= 25) { adx_arrow_m1 = ""; }
      if (adx_plus_m1 < adx_minus_m1 && adx_main_m1 >= 25) { adx_arrow_m1 = ""; }
      if (adx_plus_m1 > adx_minus_m1 && adx_main_m1 <= 24.99) { adx_arrow_m1 = ""; }
      if (adx_plus_m1 < adx_minus_m1 && adx_main_m1 <= 24.99) { adx_arrow_m1 = ""; }

      if (adx_plus_m5 > adx_minus_m5 && adx_main_m5 >= 25) { adx_arrow_m5 = ""; }
      if (adx_plus_m5 < adx_minus_m5 && adx_main_m5 >= 25) { adx_arrow_m5 = ""; }
      if (adx_plus_m5 > adx_minus_m5 && adx_main_m5 <= 24.99) { adx_arrow_m5 = ""; }
      if (adx_plus_m5 < adx_minus_m5 && adx_main_m5 <= 24.99) { adx_arrow_m5 = ""; }

      if (adx_plus_m15 > adx_minus_m15 && adx_main_m15 >= 25) { adx_arrow_m15 = ""; }
      if (adx_plus_m15 < adx_minus_m15 && adx_main_m15 >= 25) { adx_arrow_m15 = ""; }
      if (adx_plus_m15 > adx_minus_m15 && adx_main_m15 <= 24.99) { adx_arrow_m15 = ""; }
      if (adx_plus_m15 < adx_minus_m15 && adx_main_m15 <= 24.99) { adx_arrow_m15 = ""; }

      if (adx_plus_m30 > adx_minus_m30 && adx_main_m30 >= 25) { adx_arrow_m30 = ""; }
      if (adx_plus_m30 < adx_minus_m30 && adx_main_m30 >= 25) { adx_arrow_m30 = ""; }
      if (adx_plus_m30 > adx_minus_m30 && adx_main_m30 <= 24.99) { adx_arrow_m30 = ""; }
      if (adx_plus_m30 < adx_minus_m30 && adx_main_m30 <= 24.99) { adx_arrow_m30 = ""; }

      if (adx_plus_h1 > adx_minus_h1 && adx_main_h1 >= 25) { adx_arrow_h1 = ""; }
      if (adx_plus_h1 < adx_minus_h1 && adx_main_h1 >= 25) { adx_arrow_h1 = ""; }
      if (adx_plus_h1 > adx_minus_h1 && adx_main_h1 <= 24.99) { adx_arrow_h1 = ""; }
      if (adx_plus_h1 < adx_minus_h1 && adx_main_h1 <= 24.99) { adx_arrow_h1 = ""; }

      if (adx_plus_h4 > adx_minus_h4 && adx_main_h4 >= 25) { adx_arrow_h4 = ""; }
      if (adx_plus_h4 < adx_minus_h4 && adx_main_h4 >= 25) { adx_arrow_h4 = ""; }
      if (adx_plus_h4 > adx_minus_h4 && adx_main_h4 <= 24.99) { adx_arrow_h4 = ""; }
      if (adx_plus_h4 < adx_minus_h4 && adx_main_h4 <= 24.99) { adx_arrow_h4 = ""; }
      
      if (adx_plus_d1 > adx_minus_d1 && adx_main_d1 >= 25) { adx_arrow_d1 = ""; }
      if (adx_plus_d1 < adx_minus_d1 && adx_main_d1 >= 25) { adx_arrow_d1 = ""; }
      if (adx_plus_d1 > adx_minus_d1 && adx_main_d1 <= 24.99) { adx_arrow_d1 = ""; }
      if (adx_plus_d1 < adx_minus_d1 && adx_main_d1 <= 24.99) { adx_arrow_d1 = ""; }
                  
     ObjectDelete("ADX_TEXT");
   ObjectCreate("ADX_TEXT", OBJ_LABEL, win, 0, 0);
   ObjectSetText("ADX_TEXT", "ADX", font, "Arial Bold", Silver);
   ObjectSet("ADX_TEXT", OBJPROP_CORNER, 0);
   ObjectSet("ADX_TEXT", OBJPROP_XDISTANCE, xx-35);
   ObjectSet("ADX_TEXT", OBJPROP_YDISTANCE, 1+yy);
     
      //ADX m1 value
      ObjectDelete("ObjLabelI");
      ObjectCreate("ObjLabelI", OBJ_LABEL, win, 0, 0);
        //ObjectSetText("ObjLabelI","M1: "+StringSubstr(adx_m1_val,0,5)+" ",14, "Arial Bold", adx_color_m1);
        ObjectSetText("ObjLabelI","M1 ",font, "Arial Bold", adx_color_m1);
        ObjectSet("ObjLabelI", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelI", OBJPROP_XDISTANCE, 0+xx);
        ObjectSet("ObjLabelI", OBJPROP_YDISTANCE, 1+yy);
            
      //ADX m5 value
      ObjectDelete("ObjLabelK");            
      ObjectCreate("ObjLabelK", OBJ_LABEL, win, 0, 0);
        ObjectSetText("ObjLabelK","M5 ",font, "Arial Bold", adx_color_m5);
        ObjectSet("ObjLabelK", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelK", OBJPROP_XDISTANCE, 25+xx);
        ObjectSet("ObjLabelK", OBJPROP_YDISTANCE, 1+yy);           
     
      //ADX m15 value        
      ObjectDelete("ObjLabelM");
      ObjectCreate("ObjLabelM", OBJ_LABEL, win, 0, 0);
        ObjectSetText("ObjLabelM","M15 ",font, "Arial Bold", adx_color_m15);
        ObjectSet("ObjLabelM", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelM", OBJPROP_XDISTANCE, 50+xx);
        ObjectSet("ObjLabelM", OBJPROP_YDISTANCE, 1+yy);
        
      //ADX m30 value
      ObjectDelete("ObjLabelJ");
      ObjectCreate("ObjLabelJ", OBJ_LABEL, win, 0, 0);
        ObjectSetText("ObjLabelJ","M30 ",font, "Arial Bold", adx_color_m30);
        ObjectSet("ObjLabelJ", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelJ", OBJPROP_XDISTANCE, 82+xx);
        ObjectSet("ObjLabelJ", OBJPROP_YDISTANCE, 1+yy);  
        
      //ADX h1 value
      ObjectDelete("ObjLabelL");
      ObjectCreate("ObjLabelL", OBJ_LABEL, win, 0, 0);
        ObjectSetText("ObjLabelL","H1 ",font, "Arial Bold", adx_color_h1);
        ObjectSet("ObjLabelL", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelL", OBJPROP_XDISTANCE, 115+xx);
        ObjectSet("ObjLabelL", OBJPROP_YDISTANCE, 1+yy);

      //ADX h4 value
      ObjectDelete("ObjLabelN");
      ObjectCreate("ObjLabelN", OBJ_LABEL, win, 0, 0);
        ObjectSetText("ObjLabelN","H4 ",font, "Arial Bold", adx_color_h4);
        ObjectSet("ObjLabelN", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelN", OBJPROP_XDISTANCE, 138+xx);
        ObjectSet("ObjLabelN", OBJPROP_YDISTANCE, 1+yy);    
        
      //ADX d1 value
      ObjectDelete("ObjLabelP");
      ObjectCreate("ObjLabelP", OBJ_LABEL, win, 0, 0);
        ObjectSetText("ObjLabelP","D1 ",font, "Arial Bold", adx_color_d1);
        ObjectSet("ObjLabelP", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelP", OBJPROP_XDISTANCE, 162+xx);
        ObjectSet("ObjLabelP", OBJPROP_YDISTANCE, 1+yy);          
    }              
//----
   RefreshRates();
   return(0);
  }
//+------------------------------------------------------------------+